Skip to main content
GET
/
monitor
/
{monitorId}
Get a monitor
curl --request GET \
  --url https://api.firecrawl.dev/v2/monitor/{monitorId} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "status": "active",
    "schedule": {
      "cron": "<string>",
      "timezone": "<string>"
    },
    "nextRunAt": "2023-11-07T05:31:56Z",
    "lastRunAt": "2023-11-07T05:31:56Z",
    "currentCheckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "targets": [
      {
        "type": "scrape",
        "urls": [
          "<string>"
        ],
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "scrapeOptions": {
          "formats": [
            "markdown"
          ],
          "onlyMainContent": true,
          "onlyCleanContent": false,
          "includeTags": [
            "<string>"
          ],
          "excludeTags": [
            "<string>"
          ],
          "maxAge": 172800000,
          "minAge": 123,
          "headers": {},
          "waitFor": 0,
          "mobile": false,
          "skipTlsVerification": true,
          "timeout": 60000,
          "parsers": [
            "pdf"
          ],
          "actions": [
            {
              "type": "wait",
              "milliseconds": 2
            }
          ],
          "location": {
            "country": "US",
            "languages": [
              "en-US"
            ]
          },
          "removeBase64Images": true,
          "blockAds": true,
          "proxy": "auto",
          "storeInCache": true,
          "lockdown": false,
          "profile": {
            "name": "<string>",
            "saveChanges": true
          }
        }
      }
    ],
    "webhook": {
      "url": "<string>",
      "headers": {},
      "metadata": {},
      "events": [
        "monitor.page"
      ]
    },
    "notification": {
      "email": {
        "enabled": false,
        "recipients": [
          "jsmith@example.com"
        ],
        "includeDiffs": false
      }
    },
    "retentionDays": 123,
    "estimatedCreditsPerMonth": 123,
    "lastCheckSummary": {
      "totalPages": 123,
      "same": 123,
      "changed": 123,
      "new": 123,
      "removed": 123,
      "error": 123
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://firecrawl-mog-monitoring-docs.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

monitorId
string<uuid>
required

The monitor ID

Response

Monitor details

success
boolean
data
object